Package Details: sway-git 1.9.r7273.a4e8533-1

Git Clone URL: https://aur.archlinux.org/sway-git.git (read-only, click to copy)
Package Base: sway-git
Description: Tiling Wayland compositor and replacement for the i3 window manager (git development version)
Upstream URL: https://github.com/swaywm/sway
Keywords: compositor development git i3 manager sway tiling wayland window wlroots wm
Licenses: MIT
Conflicts: sway
Provides: sway
Submitter: None
Maintainer: GreyXor
Last Packager: GreyXor
Votes: 145
Popularity: 2.41
First Submitted: 2015-08-16 14:05 (UTC)
Last Updated: 2024-01-24 20:08 (UTC)

Required by (45)

Sources (3)

Latest Comments

1 2 3 4 5 6 .. 18 Next › Last »

yrlf commented on 2024-01-15 13:07 (UTC) (edited on 2024-01-21 11:39 (UTC) by yrlf)

Hi! Quick heads-up:

As of commit 7e69a70 2 weeks ago, OpenGL acceleration in Xwayland is broken on sway-git. This is because sway is dropping the legacy wl_drm protocol, which is still used by Xwayland for Glamor (2D OpenGL acceleration for X11). This results in OpenGL breaking for Xwayland clients (at least on my AMD system).

One solution for users is to stay on fa294a9 for the time being, or switching to the v1.9 stable branch and using wlroots instead of wlroots-git.

The upstream fixes for Xwayland are PR #818 (merged) and PR #1236, so another solution could be to build xorg-xwayland-git from that branch.

UPDATE: xorg-xwayland-git now has the fix merged.

yrlf commented on 2024-01-10 15:40 (UTC) (edited on 2024-01-10 15:42 (UTC) by yrlf)

Hi! The current pkgver() scheme is cool, but doesn't really work right with the sway repo since stable releases are branched off before the first tag is set, so git describe doesn't find the relevant tags, leading to the reported version being 1.6.rc2... instead of 1.9....

One idea would be to do what wlroots-git does and extract the version from the meson project info. This yields 1.9-dev. wlroots-git removes the -dev from the version as well.

Here's a patch that implements that:

commit cd6dd8b08bd5687154a5a6e3ef916b8e2dfadd93 (HEAD -> master)
Author: Ferdinand Bachmann <ferdinand.bachmann@yrlf.at>
Date:   Wed Jan 10 01:55:43 2024 +0100

    refactor: use similar pkgver scheme to wlroots-git

diff --git a/PKGBUILD b/PKGBUILD
index 77411ef..21ea11a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
 # Maintainer: GreyXor <greyxor@protonmail.com>
 # Contributor: Drew DeVault <sir@cmpwn.com>
 pkgname=sway-git
-pkgver=1.6.rc2.r584.g0aceff74
+pkgver=1.9.r7237.c5fd8c0
 pkgrel=1
 pkgdesc='Tiling Wayland compositor and replacement for the i3 window manager (git development version)'
 arch=('x86_64')
@@ -53,14 +53,25 @@ b2sums=('SKIP'
         '71f45f9abb4e9f98a52177b227aa30ab27d02c9eef8a31400460e71c72b6d40ec396581f0b1703d4cec655aaba704077212882f643c6efb6cda951ea69b5383d'
         'eeaa6bdfae0fa6c0445d7d02209ef9142d529f1770fd8d9d614772c276ffa7461247523399164fed70ad39b25af9a91fcf8afa23af5c193c898c44487956de7f')

+_meson_setup() {
+  arch-meson "$pkgname" "$1" -D sd-bus-provider=libsystemd
+}
+
+prepare() {
+  _meson_setup build-pkgver
+}
+
 pkgver() {
+  (
+    set -o pipefail
+    meson introspect --projectinfo build-pkgver | sed -n 's/.*"version": "\([^"]*\)".*/\1/;s/-dev//p' | tr -d '\n'
+  )
   cd "$pkgname"
-
-  git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
+  printf ".r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short=7 HEAD)"
 }

 build() {
-  arch-meson "$pkgname" build -D sd-bus-provider=libsystemd
+  _meson_setup build
   meson compile -C build
 }

GreyXor commented on 2023-11-23 10:41 (UTC)

markimget, The dependencies you mention are already dependencies of wlroots-git, which itself is a dependency of sway-git. If you had compiled wlroots-git first, you wouldn't have this problem. Normally, a paru -S sway-git is enough to install all dependencies correctly.

markimget commented on 2023-11-22 22:04 (UTC)

this wouldn't build for me unless I manually installed seatd, libdisplay-info and xcb-util-errors. missing dependencies?

tkna commented on 2023-10-10 17:18 (UTC) (edited on 2023-10-10 17:19 (UTC) by tkna)

The certainty will be a bit lower, but this usually looks good.

paru -Sd wlroots-git sway-git

tkna commented on 2023-09-18 02:43 (UTC) (edited on 2023-11-17 10:50 (UTC) by tkna)

I think that deleting all caches is a reliable working procedure, but you don't usually have to go that far, just install wlroots-git, sway-git and all that depends on them in the following manner. Please let me know if you have a better way.

# for zsh
sway-git-update() {
    target=(wlroots-git sway-git)
    required=($target $(LC_ALL=C paru -Qi $target | grep "^Required" | grep -v ": None$" | sed -e 's@^.*: @@' -e 's@ \+@ @g' -e 's@\n@@g'))
    paru -S $target $required
}

Pooh commented on 2023-09-08 12:39 (UTC)

@tkna It really helped to manually update wlroots-git. This is a very strange behavior. Anyway, thanks!

tkna commented on 2023-09-07 11:50 (UTC) (edited on 2023-09-07 11:53 (UTC) by tkna)

@Pooh Please make sure your wlroots-git is up-to-date before compiling sway-git. https://aur.archlinux.org/cgit/aur.git/tree/sway-git.install?h=sway-git Uninstall wlroots-git first, and the update should happen automatically.

Pooh commented on 2023-09-07 10:58 (UTC)

@tkna I have wlroots-git installed